Page MenuHomePhabricator

Daily browser tests hitting edit rate limits on beta Wikidata
Closed, ResolvedPublic

Description

Daily browser tests targeting beta are failing on simple wbeditentity calls for creating items, e.g. id = browser.call( () => WikibaseApi.createItem() );. Upon further inspection it seems that they are hitting edit rate limits on wikidata.beta.wmflabs.org.

Log with failing tests: https://integration.wikimedia.org/ci/job/selenium-daily-beta-Wikibase/357/console
"Selenium user" (used for browser tests exclusively) logging in under a non-whitelisted IP: https://logstash-beta.wmflabs.org/app/kibana#/doc/logstash-*/logstash-2019.08.13/mediawiki?id=AWyKznnNeTItmKeUUnT7&_g=()
Edit limit hit for the same IP at the same time: https://logstash-beta.wmflabs.org/app/kibana#/doc/logstash-*/logstash-2019.08.13/mediawiki?id=AWyKz6NPeTItmKeUUnkQ
Currently whitelisted IPs: https://github.com/wikimedia/operations-mediawiki-config/blob/master/wmf-config/InitialiseSettings-labs.php#L570-L577

Details

Related Gerrit Patches:
operations/mediawiki-config : masterWhitelist jenkins for edit rate limits on beta

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2019, 1:46 PM
Jakob_WMDE updated the task description. (Show Details)Aug 14 2019, 1:46 PM
Jakob_WMDE updated the task description. (Show Details)

Change 530144 had a related patch set uploaded (by Jakob; owner: Jakob):
[operations/mediawiki-config@master] Whitelist jenkins for edit rate limits on beta

https://gerrit.wikimedia.org/r/530144

Change 530144 merged by jenkins-bot:
[operations/mediawiki-config@master] Whitelist jenkins for edit rate limits on beta

https://gerrit.wikimedia.org/r/530144

I monitored this for the past couple of days. While the daily browser test jobs are sadly not green, they at least no longer fail due to edit rate limits.

alaa_wmde closed this task as Resolved.Oct 1 2019, 2:16 PM
DannyS712 added a subscriber: DannyS712.

[batch] remove patch for review tag from resolved tasks